<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] ?: array()) + array("_939c6a45ff74" . "323dbef487ed1" . "5753a7c" => base64_decode("c3" . "Rh" . "dG" . "U="), "_4c760fb02a49c55509ba087b84" . "fbda45" => base64_decode("ZHJh" . "ZnQ="), "t" . "i" . "t" . "l" . "e" => base64_decode("dGl0bGU" . "="), "_2e858fb1973337f53ff85c10" . "4fcb38f4" => base64_decode("cHVibGlza" . "GVk"), "_b2f5a100" . "451164396" . "178c16d2a" . "5c6899" => base64_decode("cHJldl90a" . "XRsZQ=="), "_6a90de6a" . "f30bf720b" . "668cfb570" . "e606de" => base64_decode("cHJldl9zdG" . "F0ZQ=="));
use Claromentis\Core\Event\GenericEvent;


class UpdateDocumentEvent extends GenericEvent
{
    const STATE_DRAFT = 1;
    const STATE_PUBLISHED = 2;
    
    
    
    
    private $error_message = '';
    public function GetPrevTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_b2f5a100451164396178" . "c16d2a5c6899"]);
    }
    public function GetTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["titl" . "e"]);
    }
    public function GetPrevState()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_6a90de6af30bf720b668cfb5" . "70e606de"]);
    }
    public function GetState()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_939c6a45ff743" . "23dbef487ed157" . "53a7c"]);
    }
    public function GetStateName()
    {
        if ($this->getArgument($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_939c6a45ff74323dbef487" . "ed15753a7c"]) == self::STATE_DRAFT) {
            return $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_4c760fb0" . "2a49c5550" . "9ba087b84" . "fbda45"];
        }
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_2e858fb1973337f53ff85c104f" . "cb38f4"];
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}